Saved Views
List Saved View Members
Deprecated. Answers an empty page, since the Workflow trigger that read a view’s members is gone.
GET
/
v2
/
saved_views
/
{saved_view_id}
/
members
List Saved View Members
curl --request GET \
--url https://api.clustr-ai.com/v2/saved_views/{saved_view_id}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clustr-ai.com/v2/saved_views/{saved_view_id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clustr-ai.com/v2/saved_views/{saved_view_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.clustr-ai.com/v2/saved_views/{saved_view_id}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.clustr-ai.com/v2/saved_views/{saved_view_id}/members"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.clustr-ai.com/v2/saved_views/{saved_view_id}/members")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.clustr-ai.com/v2/saved_views/{saved_view_id}/members")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"entity": "company",
"total": 128,
"page": 1,
"page_size": 50,
"has_more": false,
"members": [
{
"key": "a0e05d2e-0e98-47e3-a9a3-3b6c7e0de965",
"facts": {
"name": "Alex Martin",
"domain": "northwind.io",
"company_id": "bacb303f-4a2b-4e1a-ab2e-18de1fb920ea",
"fit_grade": "A",
"temperature": "warm",
"tier": "Tier 1",
"owner_email": "alex.martin@halden.io",
"owner_name": "Alex Martin",
"is_discarded": true,
"is_customer": true,
"crm_owner_email": "alex.martin@halden.io",
"crm_owner_name": "Alex Martin",
"crm_company_id": "bacb303f-4a2b-4e1a-ab2e-18de1fb920ea",
"crm_provider": "hubspot",
"deal_stage": "Negotiation",
"has_open_deal": true,
"best_strength": 0.74,
"connector_count": 3,
"account_url": "https://app.clustr-ai.com/accounts/acc_0ewr9dy46v0c75h0nkrb1qvpxy",
"top_intros": "Top intros",
"intros_url": "https://app.clustr-ai.com/accounts/acc_0ewr9dy46v0c75h0nkrb1qvpxy",
"tags": [
"Champion"
],
"tag_ids": [
"843ba873-6577-4a34-ab37-f193509a2df9"
],
"clustr_account_id": "acc_0ewr9dy46v0c75h0nkrb1qvpxy",
"clustr_connector_person_id": "per_1sq6cfhtpmxzdx5nwzfv8zbhmr",
"clustr_intro_opportunity_id": "opp_0r3k40qwxg22cncqvw77t14wbt",
"clustr_intro_request_id": "intro_75k844hqdnr85cfy3x733m2910",
"clustr_prospect_person_id": "per_2yc54rt9319363snmzhte7gje4",
"clustr_tag_ids": [
"tag_2cj1rf29pmpwncwm5v68vxwzw6"
]
}
}
]
}
}{
"success": true,
"error": {
"code": "ADMIN_REQUIRED",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
}{
"success": true,
"error": {
"code": "ADMIN_REQUIRED",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
}{
"success": true,
"error": {
"code": "ADMIN_REQUIRED",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
}{
"success": true,
"error": {
"code": "ADMIN_REQUIRED",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
}Authorizations
Headers
Query Parameters
⌘I
List Saved View Members
curl --request GET \
--url https://api.clustr-ai.com/v2/saved_views/{saved_view_id}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clustr-ai.com/v2/saved_views/{saved_view_id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clustr-ai.com/v2/saved_views/{saved_view_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.clustr-ai.com/v2/saved_views/{saved_view_id}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.clustr-ai.com/v2/saved_views/{saved_view_id}/members"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.clustr-ai.com/v2/saved_views/{saved_view_id}/members")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.clustr-ai.com/v2/saved_views/{saved_view_id}/members")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"entity": "company",
"total": 128,
"page": 1,
"page_size": 50,
"has_more": false,
"members": [
{
"key": "a0e05d2e-0e98-47e3-a9a3-3b6c7e0de965",
"facts": {
"name": "Alex Martin",
"domain": "northwind.io",
"company_id": "bacb303f-4a2b-4e1a-ab2e-18de1fb920ea",
"fit_grade": "A",
"temperature": "warm",
"tier": "Tier 1",
"owner_email": "alex.martin@halden.io",
"owner_name": "Alex Martin",
"is_discarded": true,
"is_customer": true,
"crm_owner_email": "alex.martin@halden.io",
"crm_owner_name": "Alex Martin",
"crm_company_id": "bacb303f-4a2b-4e1a-ab2e-18de1fb920ea",
"crm_provider": "hubspot",
"deal_stage": "Negotiation",
"has_open_deal": true,
"best_strength": 0.74,
"connector_count": 3,
"account_url": "https://app.clustr-ai.com/accounts/acc_0ewr9dy46v0c75h0nkrb1qvpxy",
"top_intros": "Top intros",
"intros_url": "https://app.clustr-ai.com/accounts/acc_0ewr9dy46v0c75h0nkrb1qvpxy",
"tags": [
"Champion"
],
"tag_ids": [
"843ba873-6577-4a34-ab37-f193509a2df9"
],
"clustr_account_id": "acc_0ewr9dy46v0c75h0nkrb1qvpxy",
"clustr_connector_person_id": "per_1sq6cfhtpmxzdx5nwzfv8zbhmr",
"clustr_intro_opportunity_id": "opp_0r3k40qwxg22cncqvw77t14wbt",
"clustr_intro_request_id": "intro_75k844hqdnr85cfy3x733m2910",
"clustr_prospect_person_id": "per_2yc54rt9319363snmzhte7gje4",
"clustr_tag_ids": [
"tag_2cj1rf29pmpwncwm5v68vxwzw6"
]
}
}
]
}
}{
"success": true,
"error": {
"code": "ADMIN_REQUIRED",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
}{
"success": true,
"error": {
"code": "ADMIN_REQUIRED",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
}{
"success": true,
"error": {
"code": "ADMIN_REQUIRED",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
}{
"success": true,
"error": {
"code": "ADMIN_REQUIRED",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
}